import datetime

from fair.models import *

def init():
    pravno_lice_endava = PravnoLice(username='endava',
                                  naziv='Endava d.o.o.',
                                  grad='Beograd',
                                  pttbroj='11070',
                                  adresa='Bulevar Milutina Milankovica 9D',
                                  pib='100026798',
                                  direktor='Branka Radovanović')
    pravno_lice_endava.set_password('Sifra123!')
    pravno_lice_endava.save()

    pravno_lice_mdcs = PravnoLice(username='mdcs',
                                  naziv='Majkrosoft razvojni centar',
                                  grad='Beograd',
                                  pttbroj='11070',
                                  adresa='Ušće kula 2',
                                  pib='100200303',
                                  direktor='Dragan Tomić')
    pravno_lice_mdcs.set_password('Sifra123!')
    pravno_lice_mdcs.save()

    pravno_lice_nordeus = PravnoLice(username='nordeus',
                                  naziv='Nordeus Take-Two Interactive',
                                  grad='Beograd',
                                  pttbroj='11070',
                                  adresa='Bulevar Milutina Milankovica 11',
                                  pib='106525606',
                                  direktor='Branko Milutinović')
    pravno_lice_nordeus.set_password('Sifra123!')
    pravno_lice_nordeus.save()

    fizicko_lice_petar = FizickoLice(username='petar',
                                     first_name='Petar',
                                     last_name='Jovanovic',
                                     index='20180123')
    fizicko_lice_petar.set_password('Sifra123!')
    fizicko_lice_petar.save()

    fizicko_lice_jelena = FizickoLice(username='jelena',
                                     first_name='Jelena',
                                     last_name='Petrovic',
                                     index='20180123')
    fizicko_lice_jelena.set_password('Sifra123!')
    fizicko_lice_jelena.save()

    komps = [
            (1, 'C++', 'Dobro poznavanje najnovijeg standarda C++.\r\nOdlično znanje objektno orijentisanih koncepata.'),
            (2, 'Java', 'Dobro znanje Jave, i distribuiranog programiranja.'),
            (3, 'Python', 'Ako ste dobri u Django i položili ste PSI, super!'),
            (4, 'PHP', 'Poželjno znanje nekog radnog okvira koji ste učili na SI3PSI.'),
            (5, 'Testiranje softvera', 'Ako ste položili kod Dražena, onda razbijate ovo.'),
            (6, 'Arhitekturalni uzorci', 'Obavezno poznavanje: MVC, client-server, peer-to-peer, interpreter., master-slave'),
            (7, 'SQL, MySQL', 'Samo za dobre ljude koji su položili kod Hadžare i Tamare.')
    ]
    for komp in komps:
        Kompetencije(naziv=komp[1], opis=komp[2]).save()
    konkurss=[
        (1, 'Softverski inženjer za baze SQL', 'mdcs', 60, '2022-05-02', '2022-05-15', 3),
        (2, 'Junior inženjer za razvoj igara', 'nordeus', 3, '2022-05-03', '2022-05-20', None),
        (3, 'Junior softverski inženjer za mobilni razvoj', 'endava', 5, '2022-04-01', '2022-05-10', None),
        (4, 'Grafički dizajner', 'nordeus', 1, '2022-05-03', '2022-05-29', None),
        (5, 'Sistem administrator', 'endava', 1, '2022-05-04', '2022-05-28', 2),
        (6, 'Praktikant za SQL team', 'mdcs', 2, '2022-05-04', '2022-06-04', None),
        (7, 'Backend developer (praktikant)', 'nordeus', 3, '2022-04-01', '2022-05-29', None)
    ]
    format = '%Y-%m-%d'
    for konkurs in konkurss:
        izd = PravnoLice.objects.get(username=konkurs[2])
        Konkurs(naziv=konkurs[1],
                izdavac_konkursa=izd,
                br_pozicija=konkurs[3],
                datum_otvaranja=datetime.datetime.strptime(konkurs[4], format).date(),
                datum_zatvaranja=datetime.datetime.strptime(konkurs[5], format).date(),
                broj_godina_iskustva=konkurs[6]).save()

    print('Success')

