from django.db import models

# Create your models here.
from django.contrib.auth.models import AbstractUser


class Korisnik(AbstractUser):
    class Meta:
        db_table = 'Korisnik'


class PravnoLice(Korisnik):
    naziv = models.CharField(max_length=100)
    grad = models.CharField(max_length=100)
    pttbroj = models.CharField(max_length=10)
    adresa = models.CharField(max_length=100)
    pib = models.CharField(max_length=20)
    direktor = models.CharField(max_length=50)

    class Meta:
        db_table = 'pravno_lice'


class FizickoLice(Korisnik):
    # first_name = vec postoji u AbstractUser
    # last_name = vec postoji u AbstractUser
    index = models.CharField(max_length=10)

    class Meta:
        db_table = 'FizickoLice'


class Konkurs(models.Model):
    naziv = models.CharField(max_length=100)
    izdavac_konkursa = models.ForeignKey(PravnoLice, on_delete=models.CASCADE)
    br_pozicija = models.IntegerField()
    datum_otvaranja = models.DateField()
    datum_zatvaranja = models.DateField()
    broj_godina_iskustva = models.IntegerField(
        default=None, blank=True, null=True)

    class Meta:
        db_table = 'Konkurs'


class Zaposleni(models.Model):
    osoba = models.ForeignKey(FizickoLice, on_delete=models.CASCADE)
    kompanija = models.ForeignKey(PravnoLice, on_delete=models.CASCADE)

    class Meta:
        db_table = 'Zaposleni'


class je_konkurisalo(models.Model):
    korisnik = models.ForeignKey(Korisnik, on_delete=models.CASCADE)
    datum_aplikacije = models.DateField()

    class Meta:
        db_table = 'je_konkurisalo'


class Kompetencije(models.Model):
    naziv = models.CharField(max_length=50)
    opis = models.TextField(max_length=500)

    class Meta:
        db_table = 'Kompetencije'
